Attribute VB_Name = "TouchCode"
Option Explicit
' Set the modification time for the files listed
' in the programs command line parameters.
Private Sub Main()
Dim commands As String
Dim file_name As String
Dim pos As Integer
Dim time_now As Date

    time_now = Now

    ' Get the command line arguments.
    commands = Command$
    Do While Len(commands) > 0
        ' Get the next file's name.
        pos = InStr(commands, " ")
        If pos = 0 Then
            file_name = commands
            commands = ""
        Else
            file_name = Left$(commands, pos - 1)
            commands = Trim$(Mid$(commands, pos + 1))
        End If

        ' Update the file's last modification time. Note that
        ' setting the modification time counts as accessing
        ' the file so it also sets the last access time.
        If SetFileModifiedDate(file_name, time_now, True) Then
            MsgBox "Error setting last modification time for " & _
                file_name
        End If
    Loop
End Sub
